#
# spec file for package baloo
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           baloo
Version:        4.14.3
Release:        4.2
Summary:        Framework for searching and managing metadata
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/KDE
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  kfilemetadata-devel >= %{version}
BuildRequires:  libakonadiprotocolinternals-devel >= 1.12.90
BuildRequires:  libattr-devel
BuildRequires:  libkdepimlibs4-devel >= 4.14.0
BuildRequires:  libxapian-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Baloo is a framework for searching and managing metadata

%package core
Summary:        Core components for Baloo Framework
Group:          System/GUI/KDE
Recommends:     %{name}-kioslaves = %{version}
Recommends:     %{name}-tools = %{version}
Requires:       libxapian22 >= 1.2.17

%description core
Baloo is a framework for searching and managing metadata. This
package contains core components.

%package -n libbaloofiles4
Summary:        Files library for Baloo Framework
Group:          System/GUI/KDE
Recommends:     %{name}-file = %{version}

%description -n libbaloofiles4
Baloo is a framework for searching and managing metadata. This
package contains Baloo's files library.

%package file
Summary:        Filesearch components for Baloo Framework
Group:          System/GUI/KDE
Requires:       %{name}-core = %{version}

%description file
Baloo is a framework for searching and managing metadata. This
package contains filesearch components.

%package -n libbalooqueryparser4
Summary:        queryparser library for Baloo Framework
Group:          System/GUI/KDE
Recommends:     %{name}-pim = %{version}

%description -n libbalooqueryparser4
Baloo is a framework for searching and managing metadata. This
package contains Baloo's queryparser library.

%package -n libbaloopim4
Summary:        PIM library for Baloo Framework
Group:          System/GUI/KDE
Recommends:     %{name}-pim = %{version}

%description -n libbaloopim4
Baloo is a framework for searching and managing metadata. This
package contains Baloo's PIM library.

%package pim
Summary:        PIM components for Baloo Framework
Group:          System/GUI/KDE
Requires:       %{name}-core = %{version}

%description pim
Baloo is a framework for searching and managing metadata. This
package contains PIM components.

%package kioslaves
Summary:        KIO slave components for Baloo Framework
Group:          System/GUI/KDE
Requires:       %{name}-core = %{version}

%description kioslaves
Baloo is a framework for searching and managing metadata. This
package contains KIO slave components.

%package tools
Summary:        Aditional components for Baloo Framework
Group:          System/GUI/KDE
Requires:       %{name}-core = %{version}

%description tools
Baloo is a framework for searching and managing metadata. This
package contains aditional components, such as krunner module, and command
line utilities.

%package devel
Summary:        Development package for Baloo
Group:          System/GUI/KDE
Requires:       %{name}-core = %{version}
Requires:       kfilemetadata-devel
Requires:       libbaloofiles4 = %{version}
Requires:       libbaloopim4 = %{version}
Requires:       libbalooqueryparser4 = %{version}

%description devel
Development package for Baloo

%prep
%setup -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %kde_post_install

%post core -p /sbin/ldconfig

%postun core -p /sbin/ldconfig

%post -n libbaloofiles4 -p /sbin/ldconfig

%postun -n libbaloofiles4 -p /sbin/ldconfig

%post file -p /sbin/ldconfig

%postun file -p /sbin/ldconfig

%post -n libbalooqueryparser4 -p /sbin/ldconfig

%postun -n libbalooqueryparser4 -p /sbin/ldconfig

%post -n libbaloopim4 -p /sbin/ldconfig

%postun -n libbaloopim4 -p /sbin/ldconfig

%post pim -p /sbin/ldconfig

%postun pim -p /sbin/ldconfig

%files core
%defattr(-,root,root)
%doc COPYING*
%{_kde4_libdir}/libbaloocore.so.*
%{_kde4_libdir}/libbalooxapian.so.*
%{_kde4_servicetypesdir}/baloosearchstore.desktop

%files -n libbaloofiles4
%defattr(-,root,root)
%doc COPYING*
%{_kde4_libdir}/libbaloofiles.so.*

%files file
%defattr(-,root,root)
%doc COPYING*
%{_kde4_bindir}/baloo_file
%{_kde4_bindir}/baloo_file_cleaner
%{_kde4_bindir}/baloo_file_extractor
%{_kde4_bindir}/balooctl
%{_kde4_datadir}/autostart/baloo_file.desktop
%{_kde4_servicesdir}/kcm_baloofile.desktop
%{_kde4_modulesdir}/kcm_baloofile.so
%{_kde4_servicesdir}/baloo_filesearchstore.desktop
%{_kde4_modulesdir}/baloo_filesearchstore.so
%{_kde4_iconsdir}/hicolor/*/apps/baloo.png
%{_kde4_modulesdir}/libexec/kde_baloo_filewatch_raiselimit
%{_kde4_datadir}/dbus-1/system-services/org.kde.baloo.filewatch.service
%{_kde4_datadir}/polkit-1/actions/org.kde.baloo.filewatch.policy
%{_kde4_sysconfdir}/dbus-1/system.d/org.kde.baloo.filewatch.conf

%files kioslaves
%defattr(-,root,root)
%doc COPYING*
%{_kde4_modulesdir}/kio_baloosearch.so
%{_kde4_servicesdir}/baloosearch.protocol
%{_kde4_modulesdir}/kio_tags.so
%{_kde4_servicesdir}/tags.protocol
%{_kde4_modulesdir}/kio_timeline.so
%{_kde4_servicesdir}/timeline.protocol

%files -n libbalooqueryparser4
%defattr(-,root,root)
%doc COPYING*
%{_kde4_libdir}/libbalooqueryparser.so.*

%files -n libbaloopim4
%defattr(-,root,root)
%doc COPYING*
%{_kde4_libdir}/libbaloopim.so.*

%files pim
%defattr(-,root,root)
%doc COPYING*
%{_kde4_bindir}/akonadi_baloo_indexer
%dir %{_kde4_datadir}/akonadi
%dir %{_kde4_datadir}/akonadi/agents
%{_kde4_datadir}/akonadi/agents/akonadibalooindexingagent.desktop
%{_kde4_servicesdir}/baloo_contactsearchstore.desktop
%{_kde4_modulesdir}/baloo_contactsearchstore.so
%{_kde4_servicesdir}/baloo_emailsearchstore.desktop
%{_kde4_modulesdir}/baloo_emailsearchstore.so
%{_kde4_servicesdir}/baloo_notesearchstore.desktop
%{_kde4_modulesdir}/baloo_notesearchstore.so
%{_kde4_modulesdir}/baloo_calendarsearchstore.so
%{_kde4_servicesdir}/baloo_calendarsearchstore.desktop
%{_kde4_modulesdir}/akonadi/

%files tools
%defattr(-,root,root)
%doc COPYING*
%{_kde4_bindir}/baloosearch
%{_kde4_bindir}/balooshow
%{_kde4_modulesdir}/krunner_baloosearchrunner.so
%{_kde4_servicesdir}/plasma-runner-baloosearch.desktop

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kde4_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%{_kde4_includedir}/baloo/
%{_kde4_libdir}/cmake/Baloo/
%{_kde4_libdir}/libbaloocore.so
%{_kde4_libdir}/libbaloofiles.so
%{_kde4_libdir}/libbaloopim.so
%{_kde4_libdir}/libbalooqueryparser.so
%{_kde4_libdir}/libbalooxapian.so

%changelog
* Sun Nov  9 2014 tittiatcoke@gmail.com
- Update to 4.14.3
  * KDE 4.14.3 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.3.php
* Sun Oct 12 2014 tittiatcoke@gmail.com
- Update to 4.14.2
  * KDE 4.14.2 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.2.php
* Thu Oct  2 2014 olaf@aepfle.de
- List version in BuildRequires for Akonadi and KdepimLibs
* Sat Sep 13 2014 tittiatcoke@gmail.com
- Update to 4.14.1
  * KDE 4.14.1 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.1.php
* Fri Aug 15 2014 tittiatcoke@gmail.com
- Update to 4.14.0
  * KDE 4.14.0 SC Final Release
  * See http://www.kde.org/announcements/4.14/
* Thu Jul 17 2014 cgiboudeaux@gmx.com
- Update to 4.13.90
  * KDE 4.14 Beta 2 release
  * See http://www.kde.org/announcements/announce-4.14-beta2.php
* Thu Jul 10 2014 cgiboudeaux@gmx.com
- Update to 4.13.80
  * KDE 4.14 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.14-beta1.php
* Sun Jun  8 2014 tittiatcoke@gmail.com
- Update to 4.13.2
  * KDE 4.13  release
  * See http://www.kde.org/announcements/announce-4.13.2.php
* Fri May  9 2014 tittiatcoke@gmail.com
- Update to 4.13.1
  * KDE 4.13.1  bug fix release
  * See http://www.kde.org/announcements/announce-4.13.1.php
- Drop patches due to upstream inclusion
  0006-Extractor-Check-if-the-file-should-be-indexed.patch
  0005-FileIndexingJob-Pause-it-when-on-battery.patch
  0001-Cleaner-Do-not-commit-each-time-after-1000-documents.patch
  0002-XapianSearchStore-Catch-the-database-modified-except.patch
  0002-Cleaner-Remove-the-database-file-on-disabling.patch
  0003-Use-QFile-encodeName-and-catch-some-exceptions.patch
  0004-KCM-Show-the-home-folder-name-when-excluding-it.patch
  0001-Bug-333566-Quick-filter-in-KMail-4.13-stops-working-.patch
* Mon Apr 28 2014 hrvoje.senjan@gmail.com
- Added 0006-Extractor-Check-if-the-file-should-be-indexed.patch and
  0005-FileIndexingJob-Pause-it-when-on-battery.patch (kde#332444)
* Sat Apr 26 2014 hrvoje.senjan@gmail.com
- Add more upstream fixes:
  0001-Cleaner-Do-not-commit-each-time-after-1000-documents.patch (kde#333807) and
  0002-XapianSearchStore-Catch-the-database-modified-except.patch (kde#333761)
* Wed Apr 23 2014 tittiatcoke@gmail.com
- Drop patch kauth.patch as that the security review has been
  completed.
- Loosen up the requires as that people might not want Baloo and
  upstream doesn't want to implement an on-off switch, but
  recommends to deinstall certain files.
* Tue Apr 22 2014 hrvoje.senjan@gmail.com
- Added 0002-Cleaner-Remove-the-database-file-on-disabling.patch,
  0003-Use-QFile-encodeName-and-catch-some-exceptions.patch and
  0004-KCM-Show-the-home-folder-name-when-excluding-it.patch from
  upstream to resolve various usability issues
* Sun Apr 20 2014 hrvoje.senjan@gmail.com
- Added 0001-Bug-333566-Quick-filter-in-KMail-4.13-stops-working-.patch:
  fixes KMail searches with non-Latin characters, kde#333566;
  triggers re-indexing of collections
* Fri Apr 11 2014 tittiatcoke@gmail.com
- Update to 4.13.0
  * KDE 4.13  release
  * See http://www.kde.org/announcements/4.13/
* Thu Mar 27 2014 tittiatcoke@gmail.com
- Update to 4.12.97
  * KDE 4.13 RC  release
  * See http://www.kde.org/announcements/announce-4.13-rc.php
- Droped CatchXapianException.diff, merged upstream
* Fri Mar 21 2014 hrvoje.senjan@gmail.com
- Added CatchXapianException.diff for fixing kde#332201 (bug made
  fileindexer almost useless, at least with clean db)
* Thu Mar 20 2014 tittiatcoke@gmail.com
- Update to 4.12.95
  * KDE 4.13 Beta 3  release
  * See http://www.kde.org/announcements/announce-4.13-beta3.php
* Sat Mar 15 2014 tittiatcoke@gmail.com
- Add patch kauth.patch in order not to build the filewatch_raiselimit
  binary which requires a security review.
* Thu Mar 13 2014 tittiatcoke@gmail.com
- Update to 4.12.90
  * KDE 4.13 Beta 2  release
  * See http://www.kde.org/announcements/announce-4.13-beta2.php
* Fri Mar  7 2014 tittiatcoke@gmail.com
- Update to 4.12.80
  * KDE 4.13 Beta 1  release
  * See http://www.kde.org/announcements/announce-4.13-beta1.php
* Fri Mar  7 2014 tittiatcoke@gmail.com
- Update to 4.12.80
  * KDE 4.13 Beta 1  release
  * See http://www.kde.org/announcements/announce-4.13-beta1.php
* Thu Feb 27 2014 tittiatcoke@gmail.com
- Initial package. Baloo is the new Xapian based tool for
  tagging, search, etc. It replaces the current Nepomuk2 framework,
  but shares a lot of the codebase
